Page MenuHomePhabricator

EntitySourceDefinitions to use 'sub-entity-type' entity type definition information
Closed, ResolvedPublic

Description

The relationship between lexemes and forms/senses, e.g. the fact the data of the form is stored in the page related to the lexeme the form belongs to has been codified using the sub-entity-type setting in entity type definitions, see https://github.com/wikimedia/mediawiki-extensions-WikibaseLexeme/blob/master/WikibaseLexeme.entitytypes.php#L80-L83

EntitySourceDefinitions has to make use of this definitions in order to, for example, be able to provide the entity source which provides entities of type form.

Related Objects

StatusSubtypeAssignedTask
Declineddchen
OpenNone
OpenNone
DuplicateNone
OpenNone
OpenNone
DuplicateNone
OpenNone
OpenNone
OpenNone
ResolvedRamsey-WMF
ResolvedCparle
ResolvedJdforrester-WMF
ResolvedJdforrester-WMF
OpenNone
OpenNone
ResolvedWMDE-leszek
ResolvedNone

Event Timeline

Change 563437 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] NOT READY work on T242415

https://gerrit.wikimedia.org/r/563437

Change 563437 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/Wikibase@master] Use information on "sub entity types" in EntitySourceDefinitions

https://gerrit.wikimedia.org/r/563437

Change 563960 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseQualityConstraints@master] Temporarily skip some tests due to on-going changes to Wikibase

https://gerrit.wikimedia.org/r/563960

Change 563961 had a related patch set uploaded (by WMDE-leszek; owner: WMDE-leszek):
[mediawiki/extensions/WikibaseQualityConstraints@master] Adjust constructor calls in SparqlHelperTest

https://gerrit.wikimedia.org/r/563961

WMDE-leszek removed WMDE-leszek as the assignee of this task.Jan 13 2020, 9:48 AM

Change 563960 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Temporarily skip some tests due to on-going changes to Wikibase

https://gerrit.wikimedia.org/r/563960

Change 563961 merged by jenkins-bot:
[mediawiki/extensions/WikibaseQualityConstraints@master] Adjust constructor calls in SparqlHelperTest

https://gerrit.wikimedia.org/r/563961

WMDE-leszek closed this task as Resolved.Jan 16 2020, 12:54 PM
WMDE-leszek removed WMDE-leszek as the assignee of this task.

Change 566720 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] EntitySourceDefitions::getEntityTypeToSourceMapping fix for sub entities

https://gerrit.wikimedia.org/r/566720

Change 566721 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@wmf/1.35.0-wmf.16] EntitySourceDefitions::getEntityTypeToSourceMapping fix for sub entities

https://gerrit.wikimedia.org/r/566721

Change 566732 had a related patch set uploaded (by Addshore; owner: Addshore):
[mediawiki/extensions/Wikibase@master] Test EntitySourceDefitions::getEntityTypeToSourceMapping with subs

https://gerrit.wikimedia.org/r/566732

Change 566720 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] EntitySourceDefitions::getEntityTypeToSourceMapping fix for sub entities

https://gerrit.wikimedia.org/r/566720

Change 566732 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] Test EntitySourceDefitions::getEntityTypeToSourceMapping with subs

https://gerrit.wikimedia.org/r/566732

Change 566721 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@wmf/1.35.0-wmf.16] EntitySourceDefitions::getEntityTypeToSourceMapping fix for sub entities

https://gerrit.wikimedia.org/r/566721

Mentioned in SAL (#wikimedia-operations) [2020-01-23T16:02:40Z] <ladsgroup@deploy1001> Synchronized php-1.35.0-wmf.16/extensions/Wikibase/data-access/src/EntitySourceDefinitions.php: [[gerrit:566721|EntitySourceDefitions::getEntityTypeToSourceMapping fix for sub entities (T242415 T214557)]] (duration: 01m 08s)